r2_mf_tx_state_s Struct Reference

`#include <bell_r2_mf.h>`

## Public Attributes

tone_gen_state_t | tone
int | fwd
int | digit

## Detailed Description

MFC/R2 tone detector descriptor.

## Member Data Documentation

## digit

int r2_mf_tx_state_s::digit

The current digit being generated.

Referenced by r2_mf_tx(), and r2_mf_tx_put().

## fwd

int r2_mf_tx_state_s::fwd

TRUE if generating forward tones, otherwise generating reverse tones.

Referenced by r2_mf_tx_init(), and r2_mf_tx_put().

## tone

tone_gen_state_t r2_mf_tx_state_s::tone

The tone generator.

Referenced by r2_mf_tx(), and r2_mf_tx_put().

The documentation for this struct was generated from the following file:

- private/bell_r2_mf.h